<?php

namespace Database\Seeders;

use App\Enums\SettingsEnum;
use App\Models\Setting;
use Illuminate\Database\Seeder;


class SettingsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        foreach (SettingsEnum::getAllValues() as $row) {
            Setting::query()
                ->firstOrCreate(['name' => $row]);
        }
    }
}

